I have the latest openssl-1.0.1j installed via Macports and visible on 
my PATH but even if I specify:

RUBY_CONFIGURE_OPTS=--with-openssl-dir=/opt/local/bin

.... or

RUBY_CONFIGURE_OPTS=--with-openssl-dir=/opt/local

... rbenv insists on installing its own version of the same thing when I 
run:

rbenv install 2.1.5

Same with earlier Ruby versions.

gvim